Create a user
curl --request POST \
--url https://prod.truv.com/v1/users/ \
--header 'Content-Type: application/json' \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>' \
--data '
{
"external_user_id": "12345",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+14155554193",
"ssn": "222233333"
}
'import requests
url = "https://prod.truv.com/v1/users/"
payload = {
"external_user_id": "12345",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+14155554193",
"ssn": "222233333"
}
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Access-Client-Id': '<api-key>',
'X-Access-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
external_user_id: '12345',
first_name: 'John',
last_name: 'Doe',
email: 'john.doe@example.com',
phone: '+14155554193',
ssn: '222233333'
})
};
fetch('https://prod.truv.com/v1/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"external_user_id": "12345",
"created_at": "2022-05-04T11:30:00Z",
"updated_at": "2022-05-04T12:00:00Z",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+14155554193",
"ssn": "222233333"
}{
"error": {
"code": "incorrect_parameters",
"message": "Incorrect request parameters",
"extra": {
"invalid-params": [
{
"field": "access_token",
"message": "This field is required."
}
]
}
}
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Users
Create a user
The endpoint creates a user.
POST
/
v1
/
users
/
Create a user
Authorizations
Client ID
Client Access Key
Body
application/json
External user id.
Example:
"12345"
First name of the user.
Example:
"John"
Last name of the user.
Example:
"Doe"
User's email.
Example:
"john.doe@example.com"
User's phone number.
Example:
"+14155554193"
User's SSN.
Example:
"222233333"
Response
Unique identifier of the user.
Maximum string length:
32Example:
"24d7e80942ce4ad58a93f70ce4115f5c"
External user id.
Example:
"12345"
Timestamp when the user was created.
Example:
"2022-05-04T11:30:00Z"
Timestamp when the user was updated last time.
Example:
"2022-05-04T12:00:00Z"
First name of the user.
Example:
"John"
Last name of the user.
Example:
"Doe"
User's email.
Example:
"john.doe@example.com"
User's phone number.
Example:
"+14155554193"
User's SSN.
Example:
"222233333"
Was this page helpful?
⌘I